#region License
// Copyright 2008 Lars Wilhelmsen.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at

//    http://www.apache.org/licenses/LICENSE-2.0
//    or the supplied LICENSE-2.0.txt included in the Visual Studio solution.

// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
#endregion
namespace LarsW.Security
{
    using System.Configuration;

    public class LarsWSecurityConfigurationSection : ConfigurationSection
    {
        private static LarsWSecurityConfigurationSection _section;
        public const string DefaultSectionName = "larsw.security";

        public static LarsWSecurityConfigurationSection GetSection()
        {
            if (_section == null)
            {
                _section = ConfigurationManager.GetSection(DefaultSectionName) as LarsWSecurityConfigurationSection;
            }
            return _section;
        }

        [ConfigurationProperty("principalPermissions", IsDefaultCollection = false)]
        [ConfigurationCollection(typeof(PrincipalPermissionElement), AddItemName = "permission")]
        public PrincipalPermissionsElementCollection PrincipalPermissions
        {
            get
            {
                return base["principalPermissions"] as PrincipalPermissionsElementCollection;
            }
        }
    }
}