#region License
// Copyright 2008 Lars Wilhelmsen.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at

//    http://www.apache.org/licenses/LICENSE-2.0
//    or the supplied LICENSE-2.0.txt included in the Visual Studio solution.

// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
#endregion
namespace LarsW.Security
{
    using System.Configuration;

    public class PrincipalPermissionsElementCollection : ConfigurationElementCollection
    {
        #region Overrides of ConfigurationElementCollection

        /// <summary>
        ///                     When overridden in a derived class, creates a new <see cref="T:System.Configuration.ConfigurationElement" />.
        /// </summary>
        /// <returns>
        ///                     A new <see cref="T:System.Configuration.ConfigurationElement" />.
        /// </returns>
        protected override ConfigurationElement CreateNewElement()
        {
            return new PrincipalPermissionElement();
        }

        /// <summary>
        ///                     Gets the element key for a specified configuration element when overridden in a derived class.
        /// </summary>
        /// <returns>
        ///                     An <see cref="T:System.Object" /> that acts as the key for the specified <see cref="T:System.Configuration.ConfigurationElement" />.
        /// </returns>
        /// <param name="element">
        ///                     The <see cref="T:System.Configuration.ConfigurationElement" /> to return the key for. 
        ///                 </param>
        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((PrincipalPermissionElement) element).Key;
        }

        #endregion

        public new PrincipalPermissionElement this[string key]
        {
            get
            {
                return BaseGet(key) as PrincipalPermissionElement;
            }
        }

        public bool ContainsKey(string key)
        {
            return BaseGet(key) != null;
        }
    }
}